=== debian/changelog ===
texlive-base (2014.20141024-2+deb8u1) jessie-security; urgency=high

  * remove mpost from list of shell_escape_commands (CVE-2016-10243)

 -- Norbert Preining <preining@debian.org>  Mon, 06 Mar 2017 09:00:57 +0900

texlive-base (2014.20141024-2) unstable; urgency=medium

  * texlive-xetex (polyglossia) needs texlive-latex-extra (Closes: #767887)
  * update of the latex core: only documentation updates
  * update of tools package: fixes a serious bug
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Tue, 02 Dec 2014 22:34:13 +0900

texlive-base (2014.20141024-1) unstable; urgency=medium

  * new upstream checkout
  * add pt_BR translation (Closes: #766110)

 -- Norbert Preining <preining@debian.org>  Fri, 24 Oct 2014 11:01:39 +0900

texlive-base (2014.20140927-1) unstable; urgency=medium

  * new upstream checkout: fix breqn missing file (Closes: #761513)

 -- Norbert Preining <preining@debian.org>  Sat, 27 Sep 2014 20:50:54 +0900

texlive-base (2014.20140821-1) unstable; urgency=medium

  * new upstream checkout: fix luaotfload-tool (Closes: #755751)
  * add replaces/breaks for doc.html move from tl-doc-base -> tl-base
    (Closes: #756618)
  * include Turkish translation of texlive-base debconf (Closes: #757502)
  * tl-latex-recommended suggests tl-pstricks (seminar) (Closes: #757480)

 -- Norbert Preining <preining@debian.org>  Thu, 21 Aug 2014 15:04:03 +0900
