=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 5), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.6
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Depends: ucf, xdg-utils, texlive-binaries (>= 2014.20140512.33982), libpaper-utils, tex-common (>= 5), ${misc:Depends}
Conflicts: texlive-doc-ar (<< 2013), texlive-lang-all (<< 2014), latex-sanskrit (<< 2014), texlive-science-doc (<< 2014), texlive-lang-armenian (<< 2014), texlive-lang-dutch (<< 2014), texlive-doc-fr (<< 2014), texlive-binaries (<< 2014.20140512.33982), texlive-doc-it (<< 2013), texlive-publishers-doc (<< 2014), texlive-doc-ar (<< 2014), texlive-doc-tr (<< 2013), texlive-doc-de (<< 2014), texlive-doc-fr (<< 2013), texlive-lang-latin (<< 2013), texlive-latex-recommended-doc (<< 2014), texlive-doc-mn (<< 2014), texlive-lang-swedish (<< 2013), texlive-luatex (<< 2014), texlive-doc-pt (<< 2014), thailatex (<< 2014), texlive-lang-norwegian (<< 2014), texlive-music (<< 2014), texlive-doc-cs+sk (<< 2013), texlive-lang-portuguese (<< 2014), texlive-doc-ko (<< 2013), texlive-doc-bg (<< 2013), texlive-lang-vietnamese (<< 2013), texlive-lang-korean (<< 2014), texlive-lang-japanese (<< 2014), texlive-doc-es (<< 2013), texlive-doc-pl (<< 2013), texlive-lang-dutch (<< 2013), texlive-lang-latvian (<< 2014), texlive-doc-de (<< 2013), texlive-games (<< 2014), texlive-plain-extra (<< 2014), texlive-lang-tibetan (<< 2013), texlive-full (<< 2014), texlive (<< 2014), texlive-doc-en (<< 2013), texlive-lang-indic (<< 2014), texlive-lang-czechslovak (<< 2014), texlive-lang-latvian (<< 2013), texlive-doc-ja (<< 2013), texlive-science (<< 2014), texlive-latex-extra-doc (<< 2014), texlive-doc-bg (<< 2014), texlive-lang-finnish (<< 2013), texlive-doc-cs+sk (<< 2014), texlive-lang-german (<< 2014), texlive-lang-norwegian (<< 2013), texlive-latex-extra (<< 2014), texlive-generic-extra (<< 2014), texlive-pictures-doc (<< 2014), texlive-doc-rs (<< 2013), ptex-bin (<< 2014), texlive-lang-latin (<< 2014), texlive-lang-armenian (<< 2013), texlive-common, texlive-lang-spanish (<< 2014), texlive-doc-uk (<< 2014), texlive-lang-arabic (<< 2014), texlive-lang-tibetan (<< 2014), texlive-doc-th (<< 2014), latex-xcolor (<< 2014), texlive-doc-fi (<< 2014), texlive-base (<< 2014), texlive-doc-ko (<< 2014), texlive-latex3 (<< 2014), texlive-doc-en (<< 2014), texlive-humanities (<< 2014), texpower (<< 2014), texlive-doc-ru (<< 2014), texlive-latex-recommended (<< 2014), texlive-lang-mongolian (<< 2013), texlive-pstricks-doc (<< 2014), texlive-doc-rs (<< 2014), texlive-metapost (<< 2014), texlive-lang-danish (<< 2013), pgf (<< 2014), texlive-doc-mn (<< 2013), texlive-lang-hungarian (<< 2013), texlive-formats-extra (<< 2014), texlive-doc-tr (<< 2014), texlive-metapost-doc (<< 2014), texlive-extra-utils (<< 2014), texlive-doc-ru (<< 2013), texlive-font-utils (<< 2014), texlive-lang-italian (<< 2014), texlive-doc-vi (<< 2013), texlive-latex-base (<< 2014), texlive-doc-ja (<< 2014), texlive-pstricks (<< 2014), latex-beamer (<< 2014), texlive-pictures (<< 2014), texlive-bibtex-extra (<< 2014), texlive-doc-vi (<< 2014), texlive-fonts-extra-doc (<< 2014), texlive-generic-recommended (<< 2014), texlive-doc-base, texlive-lang-french (<< 2014), texlive-lang-hebrew (<< 2014), texlive-doc-uk (<< 2013), texlive-doc-si (<< 2014), texlive-lang-hebrew (<< 2013), texlive-doc-pt (<< 2013), texlive-omega (<< 2014), texlive-doc-th (<< 2013), texlive-lang-other (<< 2014), texlive-lang-cjk (<< 2014), texlive-lang-mongolian (<< 2014), texlive-publishers (<< 2014), texlive-lang-croatian (<< 2013), texlive-doc-zh (<< 2014), texlive-math-extra (<< 2014), texlive-lang-polish (<< 2014), texlive-fonts-extra (<< 2014), texlive-lang-chinese (<< 2014), texlive-lang-danish (<< 2014), texlive-lang-english (<< 2014), pdfjam (<< 2014), texlive-latex-base-doc (<< 2014), texlive-lang-lithuanian (<< 2014), texlive-lang-european (<< 2014), texlive-lang-hungarian (<< 2014), texlive-humanities-doc (<< 2014), texlive-lang-african (<< 2014), texlive-lang-greek (<< 2014), texlive-doc-si (<< 2013), texlive-lang-lithuanian (<< 2013), texlive-lang-cyrillic (<< 2014), texlive-doc-es (<< 2014), texlive-xetex (<< 2014), texlive-doc-nl (<< 2014), texlive-doc-zh (<< 2013), texlive-doc-nl (<< 2013), texlive-doc-fi (<< 2013), texlive-lang-finnish (<< 2014), texlive-lang-vietnamese (<< 2014), texlive-fonts-recommended-doc (<< 2014), texlive-fonts-recommended (<< 2014), texlive-doc-it (<< 2014), texlive-doc-pl (<< 2014), texlive-lang-swedish (<< 2014), texlive-lang-croatian (<< 2014)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: perl-tk, gv | postscript-viewer, ghostscript, xpdf-reader | pdf-viewer
Replaces: texlive-binaries (<< 2013), texlive-doc-en (<< 2013), texlive-common (<< 2013), texlive-doc-base (<< 2013), context (<< 2012.05.30.20121209)
Breaks: texlive-doc-base (<< 2013), context (<< 2012.05.30.20121209), texlive-omega (<< 2013.20140325)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society.
 .
 bibtex -- Process bibliographies for LaTeX, etc.
 .
 cm -- Computer Modern fonts.
 .
 dvipdfmx -- An extended version of dvipdfm.
 .
 dvipdfmx-def -- Configuration file for dvipdfmx graphics.
 .
 dvips -- A DVI to PostScript driver.
 .
 enctex -- A TeX extension that translates input on its way into TeX.
 .
 etex -- An extended version of TeX, from the NTS project.
 .
 etex-pkg -- E-TeX support package.
 .
 glyphlist --
 .
 gsftopk -- Convert "ghostscript fonts" to PK files.
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8.
 .
 hyphen-base --
 .
 ifluatex -- Provides the \ifluatex switch.
 .
 ifxetex -- Am I running under XeTeX?
 .
 knuth-lib -- A small library of MetaFont sources.
 .
 knuth-local -- Knuth's local information.
 .
 kpathsea -- Path searching library for TeX-related files.
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long.
 .
 luatex -- The LuaTeX engine.
 .
 makeindex -- Process index output to produce typesettable code.
 .
 metafont -- A system for specifying fonts.
 .
 mflogo -- LaTeX support for Metafont logo fonts.
 .
 mfware -- Supporting tools for use with Metafont.
 .
 pdftex -- A TeX extension for direct creation of PDF.
 .
 plain -- The Plain TeX format.
 .
 tetex -- scripts and files originally written for or included in teTeX
 .
 tex -- A sophisticated typesetting engine.
 .
 texconfig --
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 xdvi -- A DVI previewer for the X Window System.
 .
 texdoc -- Documentation access for TeX distributions.

Package: texlive-generic-recommended
Architecture: all
Depends: texlive-base (>= 2014), texlive-base (>= 2014), ${misc:Depends}
Breaks: texlive-base (<< 2014)
Description: TeX Live: Generic recommended packages
 Recommended packages that work with multiple formats.
 .
 This package includes the following CTAN packages:
 .
 epsf -- Simple macros for EPS inclusion.
 .
 fontname -- Scheme for naming fonts in TeX.
 .
 genmisc --
 .
 kastrup -- Convert numbers into binary, octal and hexadecimal.
 .
 multido -- A loop facility for Generic TeX.
 .
 path -- Typeset paths, making them breakable.
 .
 tex-ps -- TeX to PostScript generic macros and add-ons.
 .
 ulem -- Package for underlining.

Package: texlive-latex-base
Architecture: all
Depends: texlive-binaries (>= 2014.20140512.33982), texlive-base (>= 2014), texlive-base (>= 2014), ${misc:Depends}
Recommends: texlive-latex-base-doc
Replaces: texlive-latex-recommended (<< 2013.20140227)
Breaks: texlive-base (<< 2014)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts.
 .
 amscls -- AMS document classes for LaTeX.
 .
 amsmath -- AMS mathematical facilities for LaTeX.
 .
 babel -- Multilingual support for Plain TeX or LaTeX.
 .
 babel-english -- Babel support for English.
 .
 babelbib -- Multilingual bibliographies.
 .
 carlisle -- David Carlisle's small packages.
 .
 colortbl -- Add colour to LaTeX tables.
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e.
 .
 fix2col -- Fix miscellaneous two column mode features.
 .
 geometry -- Flexible and complete interface to document dimensions.
 .
 graphics -- Standard LaTeX graphics.
 .
 hyperref -- Extensive support for hypertext in LaTeX.
 .
 latex -- A TeX macro package that defines LaTeX.
 .
 latex-bin -- LaTeX executables and man pages.
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions.
 .
 latexconfig --
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc.
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX.
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support.
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek.
 .
 pdftex-def -- Colour and Graphics support for PDFTeX.
 .
 pslatex -- Use PostScript fonts by default.
 .
 psnfss -- Font support for common PostScript fonts.
 .
 pspicture -- PostScript picture support.
 .
 tools -- The LaTeX standard tools bundle.
 .
 url -- Verbatim with URL-sensitive line breaks.

Package: texlive-latex-recommended
Architecture: all
Depends: texlive-binaries (>= 2014.20140512.33982), texlive-base (>= 2014), texlive-latex-base (>= 2014), ${misc:Depends}
Recommends: prosper (>= 1.00.4+cvs.2006.10.22), texlive-latex-recommended-doc
Provides: latex-xcolor, latex-beamer, texlive-latex3
Suggests: texlive-pstricks
Replaces: texlive-humanities (<< 2014.20140907)
Breaks: texlive-base (<< 2014), texlive-latex-base (<< 2013.20140227)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins.
 .
 beamer -- A LaTeX class for producing presentations and slides.
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations.
 .
 caption -- Customising captions in floating environments.
 .
 cite -- Improved citation handling in LaTeX.
 .
 cmap -- Make PDF files searchable and copyable.
 .
 crop -- Support for cropmarks.
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
 directives.
 .
 eso-pic -- Add picture commands (or backgrounds) to every page.
 .
 euler -- Use AMS Euler fonts for math.
 .
 extsizes -- Extend the standard classes' size options.
 .
 fancybox -- Variants of \fbox and other games with boxes.
 .
 fancyref -- A LaTeX package for fancy cross-referencing.
 .
 fancyvrb -- Sophisticated verbatim text.
 .
 float -- Improved interface for floating objects.
 .
 fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX.
 .
 fp -- Fixed point arithmetic.
 .
 index -- Extended index for LaTeX including multiple indexes.
 .
 jknapltx -- Miscellaneous packages by Joerg Knappen.
 .
 koma-script -- A bundle of versatile classes and packages
 .
 l3kernel -- LaTeX3 programming conventions.
 .
 l3packages -- High-level LaTeX3 concepts.
 .
 l3experimental -- Experimental LaTeX3 concepts.
 .
 lineno -- Line numbers on paragraphs.
 .
